@echo off
rem ****************************************************
rem *
rem * runbuild.cmd
rem *
rem * Build script for use with Windows DDK.
rem * Includes support for PC-lint 8.0 (Gimpel Software). 
rem *
rem * (c) 2002 by Udo Eberhardt, Udo.Eberhardt@thesycon.de
rem * Thesycon GmbH, Germany, www.thesycon.de
rem *
rem ****************************************************

setlocal

rem *
rem * The variable DDK_ROOT points to the base directory of the Windows DDK.
rem * The path name should not contain any white spaces!
rem * It is recommended to define this variable by means of the build 
rem * machine's environment setup.
rem *
set DDK_ROOT=D:\DEV\DDKXP\2600


rem *
rem * The variable LINT_PATH points to the directory where PC-lint is installed.
rem * The path name should not contain any white spaces!
rem * It is recommended to define this variable by means of the build 
rem * machine's environment setup.
rem *
set LINT_PATH=D:\DEV\lint80


rem *
rem * Switch lint processing on or off:
rem * USE_LINT=1  lint is on
rem * USE_LINT=   lint is off (normal build)
rem *
set USE_LINT=1



rem * check arguments
if "%1"=="chk" goto cont1
if "%1"=="fre" goto cont1
goto usage

:cont1
rem * setup DDK environment
pushd .
call %DDK_ROOT%\bin\setenv.bat %DDK_ROOT% %1
popd

rem * configure lint execution
rem * See %DDK_ROOT%\bin\makefile.def for a description of the variables.

set LINT_TYPE=all
set LINT_APP=%LINT_PATH%\lint-nt

rem * lint output file
set LINT_OUTPUT=lint%BUILD_ALT_DIR%
set LINT_EXT=out

rem * lint command line options:
rem * +v      send verbosity messages to both, stdout and to stderr
rem * -zero   always return an exit code of zero   
rem *
rem * Further lint options are given by means of .lnt files.
rem *
set LINT_OPTS=+v -zero msvc7.lnt lintcfg.lnt

rem * lint command line
set LINT_ALL_CMD=$(LINT_APP) $(LINT_OPTS) $(LINT_INCLUDES) $(LINT_DEFINES) $(LINT_FORCEDINCS) -os($(LINT_OUTPUT).$(LINT_EXT))


rem * execute build.exe
shift
build %*


rem * dump lint output if available
if "%USE_LINT%"=="" goto end
if exist "%LINT_OUTPUT%.%LINT_EXT%" type "%LINT_OUTPUT%.%LINT_EXT%"


goto end

:usage
echo.
echo usage: runbuild [chk^|^fre] [build.exe options]
echo.
echo.

:end
endlocal

rem ****** EOF ******
